#!/usr/bin/python

import sys, getopt
from base import *
from hilo import *
from pyxhook import *
from logger import *

def clineparse(args):
    try:
        opts, args = getopt.getopt(sys.argv[1:], "d", ["debug"])
        for opt,arg in opts:
            if opt in ("-d","--debug"):
                setDebug()
            else:
                raise
    except:
        usage(str(sys.argv[0]))
        exit(0)

def usage(prog):
    print "Uso: "+prog+" [--debug]"

def main():
    clineparse(sys.argv)
    Log("Inicio programa","INFO")
    hm = HookManager()
    hm.bind(Hilo(None))
    hm.HookKeyboard()
    hm.HookMouse()
    hm.KeyDown = hm.printevent
    hm.KeyUp = hm.printevent
    hm.MouseAllButtonsDown = hm.printevent
    hm.MouseAllButtonsUp = hm.printevent
    hm.start()

if __name__ == '__main__':
    clineparse(sys.argv)
    Log("Inicio programa","INFO")
    hm = HookManager()
    hm.bind(Hilo(None))
    hm.HookKeyboard()
    hm.HookMouse()
    hm.KeyDown = hm.printevent
    hm.KeyUp = hm.printevent
    hm.MouseAllButtonsDown = hm.printevent
    hm.MouseAllButtonsUp = hm.printevent
    hm.start()
    #time.sleep(10)
    #hm.cancel()

